with Charles.Sets.Hashed.Unbounded;
pragma Elaborate_All (Charles.Sets.Hashed.Unbounded);

with Charles.Hash_Integer;

package Integer_Hashed_Sets is
   new Charles.Sets.Hashed.Unbounded (Integer, Hash => Charles.Hash_Integer);

pragma Preelaborate (Integer_Hashed_Sets);




